Page MenuHomePhabricator

Special:LoadBanners should scream if translation fails
Closed, ResolvedPublic1 Story Points

Description

For B1516_0607_heIL_dsk_p2_sm_pym_adyen in the 6/7 test, BannerLoader sent back some js with "bannerHtml" set to

"\u003CCentralnotice-template-B1516_0607_heIL_dsk_p2_sm_pym_adyen\u003E"

which is what you get from msg() when the key doesn't exist.

Making a dummy edit to the banner and re-saving cleared up the problem, but there's still way less traffic than expected.

Throw an exception to log the problem and tell the front end that no banner was loaded so impression logs are correct.

Event Timeline

Ejegg created this task.Jun 7 2016, 8:23 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 7 2016, 8:23 PM
Ejegg claimed this task.Jun 7 2016, 8:52 PM
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Killing Time board.
Ejegg set the point value for this task to 1.
awight added a subscriber: awight.Jun 8 2016, 12:15 AM

In review, but the patch wasn't linked...

Change 293147 had a related patch set uploaded (by Ejegg):
Log an error when banner translation retrieval fails

https://gerrit.wikimedia.org/r/293147

Change 293147 merged by jenkins-bot:
Log an error when banner translation retrieval fails

https://gerrit.wikimedia.org/r/293147

Ejegg closed this task as Resolved.Aug 3 2016, 11:40 PM

not seeing anything in fluorine:/a/mw-log/exceptions.log, but hopefully that's 'cause this is a rare error

mmodell removed a subscriber: awight.Jun 22 2017, 9:49 PM